Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Required Roles
Your API Key must have the Global Owner role to successfully call this resource.
Note
If you use a global programmatic API key to create an organization, Ops Manager creates the organization without an Organization Owner. To add an Organization Owner, see Ops Manager Access.
Request
POST /orgsRequest Parameters
Request Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pageNum | number | Optional | One-based integer that returns a subsection of results. |
|
itemsPerPage | number | Optional | Number of items to return per page, up to a maximum of 500. |
|
pretty | boolean | Optional | Flag that indicates whether the response body should be in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set For endpoints that return a list of results, the |
|
Request Body Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
| array | Optional | Requires LDAP integration for Ops Manager. Array of documents that specify the mapping between the Ops Manager Organization Roles and the LDAP groups. If specifying |
| string | Optional | Ops Manager organization role to map. Can specify from the following list:
You cannot specify a global role, project role, or an organization billing admin role. |
| array | Optional | LDAP group(s) that map to associate to the |
| string | Required | Name of the organization you want to create. |
Response Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier for the organization. |
| string | Name of the organization. |
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --include \ --request POST "https://{opsManagerHost}:{port}/api/public/v1.0/orgs" \ --data '{ "name" : "myNewOrganization" }'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "id" : "{ORG-ID}", "name" : "myNewOrganization"}